gnutls_openpgp_crt_check_hostname(3)

NAME
gnutls_openpgp_crt_check_hostname - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_check_hostname(gnutls_openpgp_crt_t key, const char * hostname);

ARGUMENTS

gnutls_openpgp_crt_t key
    should contain a gnutls_openpgp_crt_t structure

const char * hostname
    A null terminated string that contains a DNS name

DESCRIPTION
This function will check if the given key's owner matches the given hostname. This is a basic implementation of the matching described in RFC2818 (HTTPS), which takes into account wildcards.

RETURNS
non-zero for a successful match, and zero on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/